Create a draft session
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Place a session in an agenda draft. Requires the write:events scope.
Request example
curl --request POST \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}/sessions/create' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"}'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}/sessions/create', { method: 'POST', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "POST", "https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}/sessions/create", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}/sessions/create", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => '{ "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("POST", "https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}/sessions/create", strings.NewReader(`{ "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/agenda-drafts/{draftId}/sessions/create")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\n \"session_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"starts_at\": \"2026-01-15T09:30:00Z\",\n \"ends_at\": \"2026-01-15T09:30:00Z\",\n \"room_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequireddraftIdstring<uuid>pathrequired
Request body
session_idstring<uuid>requiredstarts_atstring<date-time>ends_atstring<date-time>room_idstring<uuid>
{ "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"}Responses
200application/json
Draft session created
A session placement within an agenda draft.
idstring<uuid>draft_idstring<uuid>session_idstring<uuid>starts_atstring<date-time>ends_atstring<date-time>room_idstring<uuid>created_atstring<date-time>updated_atstring<date-time>
401
Unauthorized
403
Missing write:events scope
Response examples
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "draft_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "starts_at": "2026-01-15T09:30:00Z", "ends_at": "2026-01-15T09:30:00Z", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z"}